diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxeditorPartService.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxeditorPartService.java
index 56e5e0b8d..168c4d562 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxeditorPartService.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxeditorPartService.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.model;
 
@@ -17,7 +17,6 @@ import org.eclipse.ui.PlatformUI;
  * <p>TaxeditorPartService class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorPartService implements IPartListener2{
 
@@ -37,19 +36,19 @@ public class TaxeditorPartService implements IPartListener2{
 	public static final int PART_OPENED = 70;
 	/** Constant <code>PART_VISIBLE=80</code> */
 	public static final int PART_VISIBLE = 80;
-	
+
 	/** Constant <code>instance</code> */
 	public static TaxeditorPartService instance = new TaxeditorPartService();
-	
+
 	private IPartService partService;
-	
+
 	private Map<Integer, Set<IPartChangeListener>> listenerMap = new HashMap<Integer, Set<IPartChangeListener>>();
-	
+
 	private TaxeditorPartService() {
 		partService = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getPartService();
 		partService.addPartListener(this);
 	}
-	
+
 	/**
 	 * <p>Getter for the field <code>instance</code>.</p>
 	 *
@@ -58,7 +57,7 @@ public class TaxeditorPartService implements IPartListener2{
 	public static TaxeditorPartService getInstance(){
 		return instance;
 	}
-	
+
 	/**
 	 * <p>addListener</p>
 	 *
@@ -67,15 +66,15 @@ public class TaxeditorPartService implements IPartListener2{
 	 */
 	public void addListener(Integer eventType, IPartChangeListener listener){
 		Set<IPartChangeListener> partChangeListeners = listenerMap.get(eventType);
-		
+
 		if(partChangeListeners == null){
 			partChangeListeners = new HashSet<IPartChangeListener>();
 			listenerMap.put(eventType, partChangeListeners);
 		}
-		
+
 		partChangeListeners.add(listener);
 	}
-	
+
 	/**
 	 * <p>removeListener</p>
 	 *
@@ -84,64 +83,63 @@ public class TaxeditorPartService implements IPartListener2{
 	 */
 	public void removeListener(Integer eventType, IPartChangeListener listener){
 		Set<IPartChangeListener> partChangeListeners = listenerMap.get(eventType);
-		
+
 		if(partChangeListeners == null){
 			return;
 		}
-		
+
 		partChangeListeners.remove(listener);
 	}
-	
+
 	private void notifyListeners(Integer eventType, IWorkbenchPartReference partRef){
 		Set<IPartChangeListener> partChangeListeners = listenerMap.get(eventType);
-		
+
 		if(partChangeListeners == null){
 			return;
 		}
-		
+
 		for(IPartChangeListener listener : partChangeListeners){
 			listener.partChanged(eventType, partRef);
 		}
 	}
-	
 
-	/** {@inheritDoc} */
-	public void partActivated(IWorkbenchPartReference partRef) {
+	@Override
+    public void partActivated(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_ACTIVATED, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partBroughtToTop(IWorkbenchPartReference partRef) {
+	@Override
+    public void partBroughtToTop(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_BROUGHT_TO_TOP, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partClosed(IWorkbenchPartReference partRef) {
+	@Override
+    public void partClosed(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_CLOSED, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partDeactivated(IWorkbenchPartReference partRef) {
+	@Override
+    public void partDeactivated(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_DEAVTICATED, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partOpened(IWorkbenchPartReference partRef) {
+	@Override
+    public void partOpened(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_OPENED, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partHidden(IWorkbenchPartReference partRef) {
+	@Override
+    public void partHidden(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_HIDDEN, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partVisible(IWorkbenchPartReference partRef) {
+	@Override
+    public void partVisible(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_VISIBLE, partRef);
 	}
 
-	/** {@inheritDoc} */
-	public void partInputChanged(IWorkbenchPartReference partRef) {
+	@Override
+    public void partInputChanged(IWorkbenchPartReference partRef) {
 		notifyListeners(PART_INPUT_CHANGED, partRef);
 	}
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxonTransfer.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxonTransfer.java
index 36e8b3ca3..78332335f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxonTransfer.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/model/TaxonTransfer.java
@@ -10,19 +10,18 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  *  a drop widget with the same type.
  *
  * @author p.ciardelli
- * @version $Id: $
  */
 public class TaxonTransfer extends ByteArrayTransfer {
 
 	private static final String TAXONTYPENAME = "taxon_type";
-	private static final int TAXONTYPEID = registerType (TAXONTYPENAME);		
+	private static final int TAXONTYPEID = registerType (TAXONTYPENAME);
 	private static final TaxonTransfer INSTANCE = new TaxonTransfer();
-	
+
 	/*
 	 * The object associated with this transfer event
 	 */
 	private TaxonBase<?> taxonBase;
-		
+
 	/*
 	 * Returns the singleton
 	 */
@@ -56,23 +55,20 @@ public class TaxonTransfer extends ByteArrayTransfer {
 	public TaxonBase<?> getTaxon() {
 		return taxonBase;
 	}
-	
-	/* 
+
+	/*
 	 * The type ID is used to identify this transfer
 	 */
-	/** {@inheritDoc} */
 	@Override
 	protected int[] getTypeIds() {
 		return new int[] { TAXONTYPEID };
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected String[] getTypeNames() {
 		return new String[] { TAXONTYPENAME } ;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void javaToNative(Object object, TransferData transferData) {
 		// No encoding needed since this is a hardcoded string read and written
@@ -82,7 +78,6 @@ public class TaxonTransfer extends ByteArrayTransfer {
 		super.javaToNative(check, transferData);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected Object nativeToJava(TransferData transferData) {
 		Object result = super.nativeToJava(transferData);
@@ -91,7 +86,7 @@ public class TaxonTransfer extends ByteArrayTransfer {
 		}
 		return taxonBase;
 	}
-	
+
 	private boolean isInvalidNativeType(Object result) {
 		// No encoding needed since this is a hardcoded string read and written
 		// in the same process.
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/MeasurementUnitMenuPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/MeasurementUnitMenuPreferences.java
index e9b545a71..1ffcc0f3e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/MeasurementUnitMenuPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/MeasurementUnitMenuPreferences.java
@@ -11,19 +11,12 @@ import eu.etaxonomy.taxeditor.preference.GeneralTermPreferencePage;
  * <p>MeasurementUnitMenuPreferences class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class MeasurementUnitMenuPreferences extends GeneralTermPreferencePage {
 
-	/**
-	 * <p>Constructor for MeasurementUnitMenuPreferences.</p>
-	 */
 	public MeasurementUnitMenuPreferences() {
 	    super();
         setPredicate(PreferencePredicate.MeasurementUnit);
         type = TermType.MeasurementUnit;
 	}
-
-
-
-}
+}
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/store/internal/TaxeditorStorePlugin.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/store/internal/TaxeditorStorePlugin.java
index 615bfbf49..9085278ae 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/store/internal/TaxeditorStorePlugin.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/store/internal/TaxeditorStorePlugin.java
@@ -9,7 +9,6 @@ import org.osgi.framework.BundleContext;
  * The activator class controls the plug-in life cycle
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class TaxeditorStorePlugin extends AbstractUIPlugin {
 
@@ -26,11 +25,6 @@ public class TaxeditorStorePlugin extends AbstractUIPlugin {
 	public TaxeditorStorePlugin() {
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void start(BundleContext context) throws Exception {
 		super.start(context);
@@ -40,11 +34,6 @@ public class TaxeditorStorePlugin extends AbstractUIPlugin {
 		//PreferencesUtil.setDefaults();
 	}
 
-	/*
-	 * (non-Javadoc)
-	 * @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
-	 */
-	/** {@inheritDoc} */
 	@Override
     public void stop(BundleContext context) throws Exception {
 		plugin = null;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
index 22417a3e0..4ce080493 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/dialog/selection/TaxonNodeSelectionDialog.java
@@ -33,7 +33,6 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
 
 /**
  * @author p.ciardelli
- * @version $Id: $
  */
 public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelectionDialog<TaxonNode> implements SelectionListener{
 
@@ -148,7 +147,6 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
 		return classificationSelection;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected String getTitle(TaxonNode taxonNode) {
 		if(taxonNode != null && taxonNode.getTaxon() != null){
@@ -171,14 +169,11 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
         };
     }
 
-
-	/** {@inheritDoc} */
 	@Override
 	protected TaxonNode getPersistentObject(UUID uuid) {
 		return CdmStore.getService(ITaxonNodeService.class).find(uuid);
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected void callService(String pattern) {
 	    model = CdmStore.getService(IClassificationService.class)
@@ -222,19 +217,16 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
 		}
     }
 
-	/** {@inheritDoc} */
 	@Override
 	protected AbstractNewEntityWizard getNewEntityWizard(String parameter) {
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
 	protected String[] getNewWizardText() {
 		return null;
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void widgetSelected(SelectionEvent e) {
 		selectedClassification = classifications.get(classificationSelectionCombo.getSelectionIndex());
@@ -245,9 +237,6 @@ public class TaxonNodeSelectionDialog extends AbstractFilteredCdmResourceSelecti
 		}
 	}
 
-	/** {@inheritDoc} */
 	@Override
     public void widgetDefaultSelected(SelectionEvent e) {}
-
-
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
index 839916505..f2ed742d0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/BrowserElement.java
@@ -1,5 +1,5 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.ui.element;
 
@@ -18,14 +18,13 @@ import org.eclipse.ui.forms.widgets.TableWrapData;
  * <p>BrowserElement class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class BrowserElement extends AbstractCdmFormElement implements ControlListener{
 
 	private Browser browser;
-	
+
 	private String imageUriString;
-	
+
 	/**
 	 * <p>Constructor for BrowserElement.</p>
 	 *
@@ -37,67 +36,55 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	protected BrowserElement(CdmFormFactory formFactory, ICdmFormElement parentElement, URI imageUri, int style) {
 		super(formFactory, parentElement);
 		formFactory.createLabel(getLayoutComposite(), "");
-		
+
 		browser = new Browser(getLayoutComposite(), SWT.NONE);
 		addControl(browser);
-		
+
 		getLayoutComposite().setLayoutData(LayoutConstants.FILL());
-		
+
 
 		layoutBrowser();
-		
+
 		showBrowser();
 		browser.addControlListener(this);
-		
+
 		this.setImageUri(imageUri);
 	}
 
-	/**
-	 * 
-	 */
 	private void layoutBrowser() {
 		TableWrapData layoutData = LayoutConstants.FILL();
 		layoutData.heightHint = 1000;
-		
+
 		browser.setLayoutData(layoutData);
 	}
 
-	/**
-	 * 
-	 */
 	private void showBrowser() {
-		
+
 		String html = "";
 		html = "<HTML><HEAD><TITLE></TITLE></HEAD><BODY marginwidth=0 marginheight=0 leftmargin=0 topmargin=0>";
 		html += "<img width=\"" + calculateWidth() + "\" src=\"" + getImageUriString() + "\" />";
 		html += "</BODY></HTML>";
-		
+
 		browser.setText(html);
 	}
-	
+
 	/**
 	 * <p>calculateWidth</p>
 	 *
 	 * @return a int.
 	 */
-	public int calculateWidth() {	
+	public int calculateWidth() {
 		Rectangle boundaries = browser.getBounds();
 		return boundaries.width;
 	}
-	
-	/* (non-Javadoc)
-	 * @see org.eclipse.swt.events.ControlListener#controlMoved(org.eclipse.swt.events.ControlEvent)
-	 */
-	/** {@inheritDoc} */
-	public void controlMoved(ControlEvent e) {
+
+	@Override
+    public void controlMoved(ControlEvent e) {
 		showBrowser();
 	}
 
-	/* (non-Javadoc)
-	 * @see org.eclipse.swt.events.ControlListener#controlResized(org.eclipse.swt.events.ControlEvent)
-	 */
-	/** {@inheritDoc} */
-	public void controlResized(ControlEvent e) {
+	@Override
+    public void controlResized(ControlEvent e) {
 		showBrowser();
 	}
 
@@ -109,7 +96,7 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	public void setImageUri(URI imageUri) {
 		setImageUriString(imageUri != null ? imageUri.toString() : "");
 	}
-	
+
 	/**
 	 * <p>Setter for the field <code>imageUriString</code>.</p>
 	 *
@@ -128,5 +115,4 @@ public class BrowserElement extends AbstractCdmFormElement implements ControlLis
 	public String getImageUriString() {
 		return imageUriString;
 	}
-
 }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ICdmFormElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ICdmFormElement.java
index 096047585..e67ffbd69 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ICdmFormElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/ICdmFormElement.java
@@ -14,7 +14,6 @@ import org.eclipse.swt.widgets.Control;
  * <p>ICdmFormElement interface.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public interface ICdmFormElement extends IPropertyChangeEmitter, IPropertyChangeListener {
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/IPropertyChangeEmitter.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/IPropertyChangeEmitter.java
index bc033c48e..09609f3bb 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/IPropertyChangeEmitter.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/IPropertyChangeEmitter.java
@@ -1,15 +1,12 @@
 /**
- * 
+ *
  */
 package eu.etaxonomy.taxeditor.ui.element;
 
-
-
 /**
  * <p>IPropertyChangeEmitter interface.</p>
  *
  * @author nho
- * @version $Id: $
  */
 public interface IPropertyChangeEmitter {
 	/**
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/KeyValueViewerElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/KeyValueViewerElement.java
index 5554d73ef..51080a564 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/KeyValueViewerElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/element/KeyValueViewerElement.java
@@ -22,7 +22,6 @@ import org.eclipse.ui.forms.widgets.TableWrapData;
  * <p>KeyValueViewerElement class.</p>
  *
  * @author n.hoffmann
- * @version $Id: $
  */
 public class KeyValueViewerElement extends AbstractCdmFormElement {
 
@@ -42,31 +41,31 @@ public class KeyValueViewerElement extends AbstractCdmFormElement {
 	public KeyValueViewerElement(CdmFormFactory formFactory,
 			ICdmFormElement formElement, String keyHeading, String valueHeading, Map<Object, Object> map) {
 		super(formFactory, formElement);
-		
+
 		label = formFactory.createLabel(getLayoutComposite(), "Meta Data");
 		label.setLayoutData(LayoutConstants.FILL(2, 1));
 		addControl(label);
-		
+
 		tableViewer = new TableViewer(formElement.getLayoutComposite(), SWT.MULTI | SWT.H_SCROLL
 				| SWT.V_SCROLL | SWT.FULL_SELECTION);
 		addControl(tableViewer.getControl());
-		
+
 		createColumns(tableViewer, keyHeading, valueHeading);
-		
+
 		TableWrapData layoutData = LayoutConstants.FILL(2, 1);
 		layoutData.heightHint = 100;
-		
+
 		tableViewer.getControl().setLayoutData(layoutData);
-		
+
 		tableViewer.setContentProvider(new KeyValueContentProvider());
 		tableViewer.setLabelProvider(new KeyValueLabelProvider());
-		
+
 		if(map != null){
 			setInput(map);
 		}
-		
+
 	}
-	
+
 	// This will create the columns for the table
 	private void createColumns(TableViewer viewer, String keyHeading, String valueHeading) {
 		Table table = viewer.getTable();
@@ -94,33 +93,38 @@ public class KeyValueViewerElement extends AbstractCdmFormElement {
 		tableViewer.setInput(map);
 		tableViewer.refresh();
 	}
-	
+
 	private class KeyValueContentProvider implements IStructuredContentProvider{
 
-		public Object[] getElements(Object inputElement) {
+		@Override
+        public Object[] getElements(Object inputElement) {
 			if(inputElement instanceof Map){
 				return ((Map) inputElement).entrySet().toArray();
 			}
 			return null;
 		}
 
-		public void dispose() {}
+		@Override
+        public void dispose() {}
+
+		@Override
+        public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
 
-		public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {}
-		
 	}
-	
+
 	private class KeyValueLabelProvider extends LabelProvider implements ITableLabelProvider{
 
-		public Image getColumnImage(Object element, int columnIndex) {
+		@Override
+        public Image getColumnImage(Object element, int columnIndex) {
 			return null;
 		}
 
-		public String getColumnText(Object element, int columnIndex) {
+		@Override
+        public String getColumnText(Object element, int columnIndex) {
 			if(element instanceof Entry){
-			
-				Entry entry = (Entry) element;
-				
+
+				Entry<?,?> entry = (Entry<?,?>) element;
+
 				switch(columnIndex){
 				case 0:
 					return entry.getKey().toString();
